toggling editing mode reset edit widget

2013-05-18 07:14 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16736

Description

open properties of vector and change the edit widget of a column, then toggle editing on/off. the widget will be reset to line edit.

If the user exit the properties with "ok" and re-enter them, then toggling editing has no bad effect.

Associated revisions

Revision 99aaa597 - 2013-05-18 05:41 PM - Matthias Kuhn

[Fix #7858] Toggle editing mode resets edit widget

And introduces full mapping between table row and field index ( Fix for loosing index mapping after sorting rows )

History

#1 - 2013-05-18 08:43 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"99aaa5979f34ac91e633385b3223c24ce804f18e".

2025-04-26 1/1


